Skip to main content
POST
/
api
/
v1
/
master-inbox
/
scheduled
curl -X POST "https://server.smartlead.ai/api/v1/master-inbox/scheduled?api_key=YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{"sortBy": "SCHEDULED_TIME_ASC", "limit": 20}'
{
  "messages": [{
    "campaign_lead_map_id": "2433664091",
    "scheduled_time": "2025-01-21T09:00:00Z",
    "email_status": "Scheduled"
  }],
  "total_count": 1
}
View and manage your scheduled email queue. Essential for reviewing upcoming sends and optimizing send times.

Overview

Retrieves scheduled emails queued to be sent at a future time. Unique sorting by scheduled time helps manage your outreach pipeline. Scheduled Sorting (Unique to this endpoint):
  • SCHEDULED_TIME_ASC: Earliest scheduled sends first (next to send)
  • SCHEDULED_TIME_DESC: Latest scheduled sends first

Query Parameters

api_key
string
required
Your SmartLead API key
fetch_message_history
boolean
default:"false"
Include full thread history

Request Body

offset
number
default:"0"
Pagination offset
limit
number
default:"20"
Records per page (1-20)
filters
object
Standard inbox filters - campaignId max 5, emailAccountId max 10
sortBy
string
Unique Options: SCHEDULED_TIME_ASC or SCHEDULED_TIME_DESC
curl -X POST "https://server.smartlead.ai/api/v1/master-inbox/scheduled?api_key=YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{"sortBy": "SCHEDULED_TIME_ASC", "limit": 20}'

Response Example

{
  "messages": [{
    "campaign_lead_map_id": "2433664091",
    "scheduled_time": "2025-01-21T09:00:00Z",
    "email_status": "Scheduled"
  }],
  "total_count": 1
}